PETSc version 3.15.5
Fix/Edit manual page

# DMPlexCreateGmsh

Create a DMPlex mesh from a Gmsh file viewer

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateGmsh(MPI_Comm comm, PetscViewer viewer, PetscBool interpolate, DM *dm)

Collective

### Input Parameters

| comm | - The MPI communicator
| viewer | - The Viewer associated with a Gmsh file
| interpolate | - Create faces and edges in the mesh

### Output Parameter

| dm | - The DM object representing the mesh

Note: http://gmsh.info/doc/texinfo/gmsh.html#MSH-file-format

### See Also

DMPLEX, DMCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexgmsh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages